SpecialCommand (Selenium RC Server (Coreless) 1.0.1 API)
Date: 2009-06-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.openqa.selenium.server
Enum SpecialCommand

    java.lang.Object
      java.lang.Enum<SpecialCommand>
          org.openqa.selenium.server.SpecialCommand

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SpecialCommand>

    public enum SpecialCommand

extends java.lang.Enum<SpecialCommand>

Enum Constant Summary
`addCustomRequestHeader`
`addStaticContent`
`attachFile`
`captureEntirePageScreenshotToString`
`captureNetworkTraffic`
`captureScreenshot`
`captureScreenshotToString`
`getLogMessages`
`getNewBrowserSession`
`getSpeed`
`isPostSupported`
`keyDownNative`
`keyPressNative`
`keyUpNative`
`launchOnly`
`nonSpecial`
`open`
`retrieveLastRemoteControlLogs`
`runHTMLSuite`
`setSpeed`
`shutDownSeleniumServer`
`slowResources`
`testComplete`

Method Summary
`static SpecialCommand` | `getValue(java.lang.String command)`
`static SpecialCommand` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SpecialCommand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### getNewBrowserSession

    public static final SpecialCommand getNewBrowserSession

### testComplete

    public static final SpecialCommand testComplete

### shutDownSeleniumServer

    public static final SpecialCommand shutDownSeleniumServer

### getLogMessages

    public static final SpecialCommand getLogMessages

### retrieveLastRemoteControlLogs

    public static final SpecialCommand retrieveLastRemoteControlLogs

### captureEntirePageScreenshotToString

    public static final SpecialCommand captureEntirePageScreenshotToString

### attachFile

    public static final SpecialCommand attachFile

### captureScreenshot

    public static final SpecialCommand captureScreenshot

### captureScreenshotToString

    public static final SpecialCommand captureScreenshotToString

### captureNetworkTraffic

    public static final SpecialCommand captureNetworkTraffic

### addCustomRequestHeader

    public static final SpecialCommand addCustomRequestHeader

### keyDownNative

    public static final SpecialCommand keyDownNative

### keyUpNative

    public static final SpecialCommand keyUpNative

### keyPressNative

    public static final SpecialCommand keyPressNative

### isPostSupported

    public static final SpecialCommand isPostSupported

### setSpeed

    public static final SpecialCommand setSpeed

### getSpeed

    public static final SpecialCommand getSpeed

### addStaticContent

    public static final SpecialCommand addStaticContent

### runHTMLSuite

    public static final SpecialCommand runHTMLSuite

### launchOnly

    public static final SpecialCommand launchOnly

### slowResources

    public static final SpecialCommand slowResources

### open

    public static final SpecialCommand open

### nonSpecial

    public static final SpecialCommand nonSpecial

Method Detail

### values

    public static SpecialCommand[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpecialCommand c : SpecialCommand.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpecialCommand valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public static SpecialCommand getValue(java.lang.String command)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.